# git-mark-merge-base(1) Manual Page

## NAME

git-mark-merge-base - Manually interact with depot_tools' merge-base markers.

## SYNOPSIS

    git mark-merge-base
    git mark-merge-base <commit hash>
    git mark-merge-base [-d | --delete]

## DESCRIPTION

Inspect, set or delete the current merge-base marker for the current branch. This should not be needed, but is useful if things get into a snarled state. Pass no arguments to view the current value. If you provide <commit hash>, then `git mark-merge-base` will attempt to set that as the merge-base value.

It is invalid to pick a commit which is not an ancestor of the current branch.

See git-rebase-update(1)'s description of the `branch.<name>.base` configuration variable for more info on what the merge base markers are for.

## OPTIONS

-d
--delete

  Delete the merge-base marker for the current branch.

<commit hash>

  The new value to set for the current branch’s merge-base marker.

## SEE ALSO

git-rebase-update(1), git-reparent-branch(1), git-rename-branch(1), git-upstream-diff(1)

## CHROMIUM DEPOT_TOOLS

Part of the chromium depot_tools(7) suite. These tools are meant to assist with the development of chromium and related projects. Download the tools from here.